javax.mail

## Class Header

- java.lang.Object
- - javax.mail.Header

- Direct Known Subclasses:
    InternetHeaders.InternetHeader

      public class Header
      extends Object

  The Header class stores a name/value pair to represent headers.
  Author:
    John Mani

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name` The name of the header.
    `protected String` | `value` The value of the header.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header(String name, String value)` Construct a Header object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of this header.
    `String` | `getValue()` Returns the value of this header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The name of the header.
      Since:
        JavaMail 1.4

    - #### value

          protected String value

      The value of the header.
      Since:
        JavaMail 1.4

  - ### Constructor Detail

    - #### Header

          public Header(String name,
                String value)

      Construct a Header object.
      Parameters:
        `name` - name of the header
        `value` - value of the header

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of this header.
      Returns:
        name of the header

    - #### getValue

          public String getValue()

      Returns the value of this header.
      Returns:
        value of the header

Copyright © 2016 Oracle. All rights reserved.